<ion-header>
  <ion-toolbar color="primary">
    <ion-title>Crear Tarea</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <div class="ion-text-center">
    <h1>Registra una nueva tarea</h1>
  </div>
  <form [formGroup]="taskForm" (ngSubmit)="onSubmit()" novalidate>
    <ion-item>
      <ion-label position="floating">Nombre de la tarea</ion-label>
      <ion-input formControlName="name" type="text"></ion-input>
    </ion-item>
    <span class="error ion-padding" *ngIf="isSubmitted && errorControl.name.errors?.required">
      <small>El nombre de la tarea es requerido</small>
    </span>
    <br>
    <ion-button type="submit" expand="block" color="primary">Guardar Tarea</ion-button>
    <ion-button type="button" expand="block" color="danger" (click)="closeModal()">Cancelar</ion-button>
  </form>
</ion-content>
